# List

`GET /workspaces/:workspace/projects/:project_name/visual-tests/suites`

Get all visual test suites for a project

**Required Scopes:** `VISUAL_TEST_INFO`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The human-readable ID of the project */
  project_name: string; // Example: "my-project"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  suites?: ShortVisualTestSuiteView[];
}
```

## Type Definitions

```typescript
interface ShortVisualTestSuiteView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** Unique identifier of the visual test suite */
  id?: string;
  /** Name of the visual test suite */
  name?: string;
  /** Unique identifier for the suite (auto-generated if not provided) */
  identifier?: string;
}

```

## Response Example

**Status:** `200 OK`


---
Original source: https://buddy.works/docs/api/visual-tests/suites/list